API Guide Home (Online version only) |

# NBSNotificationEventType Struct Reference

## Detailed Description

Structure passed to the callbacks registered for incoming NBS notifications

Definition at line 322 of file HsPhoneSMSTypes.h.

## Data Fields

- UInt16 version
- Boolean NBSdatagram
- Boolean binary
- void * headerP
- UInt8 headerLen
- Int8 reserved0
- void * dataP
- UInt8 dataLen
- UInt8 refNum
- UInt8 maxNum
- UInt8 seqNum
- Int8 reserved1
- Int8 reserved1a
- UInt32 srcPort
- UInt32 dstPort
- UInt32 msgID
- char * senderP
- UInt32 datetime
- Int32 reserved2
- Int32 reserved3

## Field Documentation

UInt16 version

version number to provide future backwards compatibility

Definition at line 324 of file HsPhoneSMSTypes.h.

Boolean NBSdatagram

helper fields flag if it is an NBS datagram

Definition at line 327 of file HsPhoneSMSTypes.h.

Boolean binary

true if binary data

Definition at line 328 of file HsPhoneSMSTypes.h.

void* headerP

pointer to raw header

Definition at line 330 of file HsPhoneSMSTypes.h.

UInt8 headerLen

length of headerP

Definition at line 331 of file HsPhoneSMSTypes.h.

Int8 reserved0

padding

Definition at line 332 of file HsPhoneSMSTypes.h.

void* dataP

pointer to data body

Definition at line 333 of file HsPhoneSMSTypes.h.

UInt8 dataLen

length of dataP

Definition at line 334 of file HsPhoneSMSTypes.h.

UInt8 refNum

NBS datagram fields NBS reference number

Definition at line 337 of file HsPhoneSMSTypes.h.

UInt8 maxNum

max segment number 1-255

Definition at line 338 of file HsPhoneSMSTypes.h.

UInt8 seqNum

sequence number 1-255, no more than maxNum

Definition at line 339 of file HsPhoneSMSTypes.h.

Int8 reserved1

padding

Definition at line 340 of file HsPhoneSMSTypes.h.

Int8 reserved1a

mo padding

Definition at line 341 of file HsPhoneSMSTypes.h.

UInt32 srcPort

source port

Definition at line 343 of file HsPhoneSMSTypes.h.

UInt32 dstPort

destination port

Definition at line 344 of file HsPhoneSMSTypes.h.

UInt32 msgID

SMS related fields ID into the SMS database to reference this message this ID is not gauranteed to be valid once the notification callback returns. Users should make a copy of the msg if they want to work on it after the callback returns.

Definition at line 347 of file HsPhoneSMSTypes.h.

char* senderP

sender number - null terminated

Definition at line 355 of file HsPhoneSMSTypes.h.

UInt32 datetime

date/time stamp

Definition at line 356 of file HsPhoneSMSTypes.h.

Int32 reserved2

reserved

Definition at line 357 of file HsPhoneSMSTypes.h.

Int32 reserved3

reserved

Definition at line 358 of file HsPhoneSMSTypes.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:14 2008 for Palm API Guide